weka.classifiers.lazy.kstar

## Class KStarWrapper

- java.lang.Object
- - weka.classifiers.lazy.kstar.KStarWrapper

- All Implemented Interfaces:
    RevisionHandler

      public class KStarWrapper
      extends java.lang.Object
      implements RevisionHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `actEntropy` used/reused to hold the actual entropy
    `double` | `avgProb` used/reused to hold the average transformation probability
    `double` | `minProb` used/reused to hold the smallest transformation probability
    `double` | `randEntropy` used/reused to hold the random entropy
    `double` | `sphere` used/reused to hold the sphere size

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KStarWrapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRevision()` Returns the revision string.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sphere

          public double sphere

      used/reused to hold the sphere size

    - #### actEntropy

          public double actEntropy

      used/reused to hold the actual entropy

    - #### randEntropy

          public double randEntropy

      used/reused to hold the random entropy

    - #### avgProb

          public double avgProb

      used/reused to hold the average transformation probability

    - #### minProb

          public double minProb

      used/reused to hold the smallest transformation probability

  - ### Constructor Detail

    - #### KStarWrapper

          public KStarWrapper()

  - ### Method Detail

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision